| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_PSPNx Class Reference

This class interfaces with PSP-Nx attached to EVShield. More...

`#include <EVs_PSPNx.h>`

Inheritance diagram for EVs_PSPNx:

## Public Member Functions
| EVs_PSPNx (uint8_t i2c_address=0x02)
uint8_t | issueCommand (char command)
bool | energize ()
bool | deEnergize ()
bool | setDigitalMode ()
bool | setAnalogMode ()
int8_t | getXLJoy ()
int8_t | getYLJoy ()
int8_t | getXRJoy ()
int8_t | getYRJoy ()
void | getButtons (int8_t *buttons1, int8_t *buttons2)
Public Member Functions inherited from EVShieldI2C
| EVShieldI2C (uint8_t i2c_address)
void | init (void *shield, SH_BankPort bp)
uint8_t | readByte (uint8_t location)
uint16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
uint8_t * | readRegisters (uint8_t start_register, uint8_t bytes, uint8_t *buf)
char * | readString (uint8_t location, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0)
bool | writeRegisters (uint8_t start_register, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
char * | getFeatureSet ()
uint8_t | getErrorCode ()
bool | checkAddress ()
bool | setAddress (uint8_t address)
Public Member Functions inherited from BaseI2CDevice
| BaseI2CDevice (uint8_t i2c_address)
void | initProtocol ()
uint8_t * | readRegisters (uint8_t start_register, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0, bool clear_buffer=false)
uint8_t | readByte (uint8_t location)
int16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
char * | readString (uint8_t location, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0)
bool | writeRegisters (uint8_t start_register, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
bool | checkAddress ()
bool | setAddress (uint8_t i2c_address)
uint8_t | getAddress ()
uint8_t | getWriteErrorCode ()
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
char * | getFeatureSet ()
Public Member Functions inherited from SoftI2cMaster
uint8_t | start (uint8_t addressRW)
void | stop (void)
uint8_t | restart (uint8_t addressRW)
uint8_t | write (uint8_t b)
uint8_t | read (uint8_t last)
| SoftI2cMaster (uint8_t devAddr)
void | initProtocol (uint8_t sclPin=(uint8_t) NULL, uint8_t sdaPin=(uint8_t) NULL)
uint8_t * | readRegisters (uint8_t startRegister, uint8_t bytes, uint8_t *buf=NULL)
bool | writeRegistersWithLocation (int bytes, uint8_t *buf)
bool | writeRegisters (uint8_t location, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
char * | readString (uint8_t startRegister, uint8_t bytes, uint8_t *buf=NULL, uint8_t len=0)
uint8_t | readByte (uint8_t location)
int16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
uint8_t | getWriteErrorCode ()
bool | checkAddress ()
bool | setAddress (uint8_t address)

## Additional Inherited Members
Public Attributes inherited from EVShieldI2C
void * | mp_shield
uint8_t * | _i2c_buffer
uint8_t | m_protocol
Public Attributes inherited from SoftI2cMaster
uint8_t * | _so_buffer
Static Public Attributes inherited from BaseI2CDevice
static uint8_t * | _buffer = 0
static bool | b_initialized = false
Protected Member Functions inherited from BaseI2CDevice
void | setWriteErrorCode (uint8_t code)

## Detailed Description

This class interfaces with PSP-Nx attached to EVShield.

## Constructor & Destructor Documentation

## § EVs_PSPNx()

EVs_PSPNx::EVs_PSPNx | ( | uint8_t | i2c_address = `0x02` | ) |

class constructor for the EVs_PSPNx class with an optional custom i2c address parameter

## Member Function Documentation

## § deEnergize()

bool EVs_PSPNx::deEnergize | ( |  | ) |

power off the joystick receiver

## § energize()

bool EVs_PSPNx::energize | ( |  | ) |

power on the joystick receiver

## § getButtons()

void EVs_PSPNx::getButtons | ( | int8_t * | buttons1,
|  | int8_t * | buttons2
| ) |  |

get the current button status of button set 1 and button set 2

## § getXLJoy()

int8_t EVs_PSPNx::getXLJoy | ( |  | ) |

get the x-coordinate of the left joystick,

Returns
  number between -100 and +100 and zero when the joystick is neutral.

## § getXRJoy()

int8_t EVs_PSPNx::getXRJoy | ( |  | ) |

get the x-coordinate of the right joystick

Returns
  number between -100 and +100 and zero when the joystick is neutral.

## § getYLJoy()

int8_t EVs_PSPNx::getYLJoy | ( |  | ) |

get the y-coordinate of the left joystick

Returns
  number between -100 and +100 and zero when the joystick is neutral.

## § getYRJoy()

int8_t EVs_PSPNx::getYRJoy | ( |  | ) |

get the y-coordinate of the right joystick

Returns
  number between -100 and +100 and zero when the joystick is neutral.

## § issueCommand()

uint8_t EVs_PSPNx::issueCommand | ( | char | command | ) |

issue a character command byte to the command register of the PSPNx

## § setAnalogMode()

bool EVs_PSPNx::setAnalogMode | ( |  | ) |

set the mode of the joystick to analog

## § setDigitalMode()

bool EVs_PSPNx::setDigitalMode | ( |  | ) |

set the mode of the joystick to digital

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_PSPNx.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_PSPNx.cpp